/*--------------------------------------------------*/
/* Benchmark clp(FD)             INRIA Rocquencourt */
/*                                                  */
/* Name  : send.pl                                  */
/* Title : crypt-arithmetic                         */
/*--------------------------------------------------*/
:- main([top]).

send(LD):-
	LD=[S,E,N,D,M,O,R,Y],
	alldifferent(LD),
	domain(LD,0,9),
	S in 1..9,
	M in 1..9,

	             1000*S + 100*E + 10*N + D 
                   + 1000*M + 100*O + 10*R + E 
	#= 10000*M + 1000*O + 100*N + 10*E + Y,

	labeling(LD).


:- public start/2.

start([LD],_):-
	send(LD).

